<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_e632e86b02" . "887f94d49b7" . "ed76a3ebcdc" => base64_decode("VGVtcGxhdGU" . "gbm90IGZvdW" . "5k"), "_7313d9106" . "eada68fc89" . "3a6d6733b5" . "8a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZW5" . "kIHdpdGggdGhlICoudHdpZyBleH" . "RlbnNpb24="), "_69100b7c21efad30d" . "73e5c90a439a5ce" => base64_decode("Ly4qX" . "C50d2" . "lnJC8" . "="), "tem" . "pla" . "te" => base64_decode("dGVt" . "cGxh" . "dGU="), "_d155d43a39de93f858123" . "c6b6ce31d8a" => base64_decode("cHJl" . "Z19t" . "YXRj" . "aA=="), "_523a40c86a0eb0d317646ab2bbd4" . "0de8" => base64_decode("Tm8gdGVtcGxh" . "dGUgcmVxdWVz" . "dGVk"), "_2c83c05de4fa1408a298026df" . "b8d94b9" => base64_decode("Y2ZnX2RldmVsb3Blcl9tb2R" . "l"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["templat" . "e"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["tem" . "pla" . "te"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2c83c05de4fa1408a298026df" . "b8d94b9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d155d43a39de93f8581" . "23c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_69100b7c21efad30d73" . "e5c90a439a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_523a40c86a0eb0d3" . "17646ab2bbd40de8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7313d9106ead" . "a68fc893a6d67" . "33b58a6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e632e86b0288" . "7f94d49b7ed76" . "a3ebcdc"]);
        }
        return $template;
    }
}